{"openapi":"3.0.0","info":{"description":"8VDX API Documentation","version":"1.0.0","title":"8VDX Admin Portal APIs","contact":{"email":"srujan@your-company.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"Onboarding","description":"APIs for Admin onboarding"},{"name":"Dashboard","description":"APIs for dashboard"},{"name":"Portfolio","description":"APIs for portfolio"},{"name":"Enquiries","description":"APIs for enquiries"},{"name":"Funds","description":"APIs for funds"},{"name":"Payments","description":"APIs for payments"},{"name":"Tickets","description":"APIs for tickets"},{"name":"Profile","description":"APIs for profile"},{"name":"Settings","description":"APIs for settings"}],"paths":{"/signin":{"post":{"tags":["Onboarding"],"summary":"Login into Admin Portal","operationId":"loginIntoAdminPortal","description":"An API to login into admin portal","responses":{"200":{"description":"Login successful","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"success"}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"failed"},"message":{"type":"string","example":"bad request"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginInfo"}}},"description":"Portals login api"}}},"/forgetpassword":{"post":{"tags":["Onboarding"],"summary":"Forget password","operationId":"forgetPassword","description":"An API to request new password in case of forget password","responses":{"200":{"description":"Email sent successfully","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"success"}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"failed"},"message":{"type":"string","example":"bad request"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"email":{"type":"string","example":"s1@company.com"}}}}},"description":"forget password"}}},"/logout":{"post":{"tags":["Onboarding"],"summary":"Log out","operationId":"logout","description":"An API to log out of the startup portal","responses":{"200":{"description":"Log out successful","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"success"}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"failed"},"message":{"type":"string","example":"bad request"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"email":{"type":"string","example":"s1@company.com"}}}}},"description":"Email is required field"}}},"/dashboard":{"get":{"tags":["Dashboard"],"summary":"Get Dashboard data","operationId":"getDashboardDaata","description":"An API to get admin dashboard data","responses":{"200":{"description":"dashboard data results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardResponse"}}}},"500":{"description":"Error in fetching data","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Error in fetching data"}}}}}}}}},"/portfolio":{"get":{"tags":["Portfolio"],"summary":"Get Portfolio","operationId":"getPortfolio","description":"An API to get portfolio details","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PortfolioResponse"}}}}},"500":{"description":"Error in fetching data","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Error in fetching data"}}}}}}}}},"/enquiries":{"get":{"tags":["Enquiries"],"summary":"Get All Enquiries","operationId":"getAllEnquiries","description":"An API to get all ennquiries","responses":{"200":{"description":"enquiries data results","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EnquiriesResponse"}}}}},"500":{"description":"Error in fetching data","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Error in fetching data"}}}}}}}}},"/enquiry/{startupId}":{"get":{"tags":["Enquiries"],"summary":"Get Startup Enquiry","operationId":"getStartupEnquiry","description":"Get startup enquiry","parameters":[{"name":"startupId","in":"path","description":"ID of startup that needs to be fetched","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndividualStartupEnquiryResponse"}}}},"500":{"description":"Error in fetching data","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Error in fetching data"}}}}}}}}},"/loanapproval":{"post":{"tags":["Enquiries"],"summary":"Loan Approval","operationId":"loanApproval","description":"An API to approve loans by Admin","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"object","properties":{"payment_id":{"type":"string","example":"42134"},"payment_status":{"type":"string","example":"SUCCESS"}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Fields missing"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanApprovalRequest"}}},"description":"Loan approval request body"}}},"/funds":{"get":{"tags":["Funds"],"summary":"Get Funds","operationId":"getAllFunds","description":"An API to get all startup funds","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FundsResponse"}}}}},"500":{"description":"Error in fetching data","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Error in fetching data"}}}}}}}}},"/venturedebt":{"post":{"tags":["Funds"],"summary":"Convert to Venture Debt","operationId":"venturedebt","description":"An API to convert to venture debt","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundsResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Fields missing"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"startup_id":{"type":"string","example":"145"},"interest_rate":{"type":"number","example":15}}}}},"description":"Convert to Venture Debt Request"}}},"/funds/{startupId}":{"get":{"tags":["Funds"],"summary":"Get Individual Startup Funds","operationId":"getStartupFunds","description":"An API to get Individual Startup Funds","parameters":[{"name":"startupId","in":"path","description":"ID of startup that needs to be fetched","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundsResponse"}}}},"500":{"description":"Error in fetching data","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Error in fetching data"}}}}}}}}},"/payments":{"post":{"tags":["Payments"],"summary":"Create Payment","operationId":"createPayment","description":"An API to create payment by Admin","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"object","properties":{"payment_id":{"type":"string","example":"42134"},"payment_status":{"type":"string","example":"SUCCESS"}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Fields missing"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"startup_id":{"type":"string","example":"145"},"payment_amount":{"type":"number","example":15000},"transaction_id":{"type":"string","example":"Y1231313"},"transaction_date":{"type":"string","example":""},"installment_month":{"type":"number","example":3}}}}},"description":"Payment creation by admin"}},"put":{"tags":["Payments"],"summary":"Update Payment","operationId":"updatePayment","description":"An API to update payment by Admin in his portal","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"object","properties":{"payment_id":{"type":"string","example":"42134"},"payment_status":{"type":"string","example":"SUCCESS"}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Fields missing"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"startup_id":{"type":"string","example":"145"},"payment_amount":{"type":"number","example":15000},"transaction_id":{"type":"string","example":"Y1231313"},"transaction_date":{"type":"string","example":""},"installment_month":{"type":"number","example":3}}}}},"description":"Payment updation by admin"}},"get":{"tags":["Payments"],"summary":"Get All Payments","operationId":"getAllPayments","description":"An API to get all startup payments","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GetAllPaymentsResponse"}}}}},"500":{"description":"Error in fetching data","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Error in fetching data"}}}}}}}}},"/tickets":{"put":{"tags":["Tickets"],"summary":"Update Ticket","operationId":"updateTicket","description":"An API to updates tickets by admin","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"object","properties":{"ticket_id":{"type":"string","example":"42134"},"ticket_status":{"type":"string","example":"CREATED/RESPONDED"}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Fields missing"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ticket_id":{"type":"string","example":"42135"},"ticket_status":{"type":"string","example":"RESPONDED"},"title":{"type":"string","example":"Payment not updated"},"description":{"type":"string","example":"My installment payment for last month has not been updated in portal"},"user_email":{"type":"string","example":"s1@startup1.com"},"startup_id":{"type":"string","example":"145"}}}}},"description":"Ticket updation API"}},"get":{"tags":["Tickets"],"summary":"Get Tickets","operationId":"getTickets","description":"An API to get startup tickets","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"object","properties":{"ticket_id":{"type":"string","example":"42135"},"ticket_status":{"type":"string","example":"RESPONDED"},"title":{"type":"string","example":"Payment not updated"},"description":{"type":"string","example":"My installment payment for last month has not been updated in portal"},"user_email":{"type":"string","example":"s1@startup1.com"},"startup_id":{"type":"string","example":"145"}}}}}},"500":{"description":"Error in fetching data","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Error in fetching data"}}}}}}}}},"/profile":{"put":{"tags":["Profile"],"summary":"update profile details","operationId":"updateProfile","description":"An API to update profile details of a startup","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"object","properties":{"company_details":{"$ref":"#/components/schemas/StartupDetails"},"founder_details":{"$ref":"#/components/schemas/FounderDetails"},"business_details":{"$ref":"#/components/schemas/BusinessDetails"},"additional_information":{"$ref":"#/components/schemas/AdditionalStartupInformation"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"founder_name":{"type":"string","example":"Kiran"}}}}},"description":"Update profile details"}},"get":{"tags":["Profile"],"summary":"Get Profile Details","operationId":"getProfile","description":"An API to get profile details","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"object","properties":{"company_details":{"$ref":"#/components/schemas/StartupDetails"},"founder_details":{"$ref":"#/components/schemas/FounderDetails"},"business_details":{"$ref":"#/components/schemas/BusinessDetails"},"additional_information":{"$ref":"#/components/schemas/AdditionalStartupInformation"}}}}}}}}},"/settings":{"put":{"tags":["Settings"],"summary":"update settings","operationId":"updateSettings","description":"An API to update the settings","responses":{"200":{"description":"updated","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Updated successfully"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"info":{"type":"string","example":"settings"}}}}},"description":"Update startup settings"}},"get":{"tags":["Settings"],"summary":"Get Settings","operationId":"getSettings","description":"An API to get the settings of a startup","responses":{"200":{"description":"settings","content":{"application/json":{"schema":{"type":"object","properties":{"settings":{"type":"string","example":"startup settings"}}}}}}}}}},"components":{"schemas":{"LoginInfo":{"type":"object","required":["email","password"],"properties":{"email":{"type":"string","example":"user1@company.com"},"password":{"type":"string","example":"user@123"}}},"DashboardResponse":{"type":"object","properties":{"net_asset_value":{"type":"number","example":1200000},"total_investments":{"type":"number","example":24},"enquires_count":{"type":"number","example":3},"open_tickets_count":{"type":"number","example":4},"defaults_count":{"type":"number","example":4},"asset_distribution":{"type":"array","items":{"type":"string","example":"Software, Automobile"}}}},"PortfolioResponse":{"type":"object","properties":{"startup_name":{"type":"string","example":"First Post"},"startup_id":{"type":"string","example":"145"},"startup_link":{"type":"string","example":null},"startup_logo_url":{"type":"string","example":null},"location":{"type":"string","example":"Bangalore"},"invested_amount":{"type":"number","example":3000000}}},"EnquiriesResponse":{"type":"object","properties":{"startup_name":{"type":"string","example":"First Post"},"startup_id":{"type":"string","example":"145"},"startup_link":{"type":"string","example":null},"startup_logo_url":{"type":"string","example":null},"location":{"type":"string","example":"Bangalore"},"invested_amount":{"type":"number","example":3000000},"enquiry_status":{"type":"string","example":"VERIFIED/NOT_VERIFIED"},"yc_batch":{"type":"string","example":"20_21_Winter_batch"},"is_startup_yc_certified":{"type":"boolean","example":true}}},"IndividualStartupEnquiryResponse":{"type":"object","properties":{"company_details":{"$ref":"#/components/schemas/StartupDetails"},"founder_details":{"$ref":"#/components/schemas/FounderDetails"},"business_details":{"$ref":"#/components/schemas/BusinessDetails"},"additional_information":{"$ref":"#/components/schemas/AdditionalStartupInformation"}}},"StartupDetails":{"type":"object","properties":{"startup_name":{"type":"string","example":"First Post"},"startup_id":{"type":"string","example":"145"},"startup_link":{"type":"string","example":null},"startup_logo_url":{"type":"string","example":null},"location":{"type":"string","example":"Bangalore"},"description":{"type":"string","example":"First post is news agency startup"},"yc_batch":{"type":"string","example":"20_21_Winter_batch"},"is_startup_yc_certified":{"type":"boolean","example":true}}},"FounderDetails":{"type":"array","items":{"type":"object","properties":{"founder_name":{"type":"string","example":"Kishore"},"founder_email":{"type":"string","example":"kishore@gmail.com"},"founder_phone_number":{"type":"string","example":8394999999},"founder_qualifications":{"type":"string","example":"M.Tech"},"founder_linkedin_url":{"type":"string","example":"www.linkedin.com/kishore1"}}}},"BusinessDetails":{"type":"object","properties":{"product_progress":{"type":"string","example":"News agency app reports news in posts"},"potential_market_target":{"type":"string","example":"Students"},"competitors_information":{"type":"string","example":"News agency app reports news in posts"},"company_incorporation_info":{"type":"string","example":"News agency app reports news in posts"},"company_equity_information":{"type":"string","example":"News agency app reports news in posts"},"company_structure_information":{"type":"string","example":"News agency app reports news in posts"}}},"AdditionalStartupInformation":{"type":"object","properties":{"company_8vdx_source":{"type":"string","example":"News agency app reports news in posts"},"company_reason_for_chosing":{"type":"string","example":"News agency app reports news in posts"},"company_investment_information":{"type":"string","example":"News agency app reports news in posts"},"company_legal_information":{"type":"string","example":"News agency app reports news in posts"}}},"FundsResponse":{"type":"object","properties":{"startup_id":{"type":"string","example":"145"},"startup_name":{"type":"string","example":"First Post"},"total_loan_amount":{"type":"number","example":3000000},"total_paid_amount":{"type":"number","example":150000},"monthly_installment_amount":{"type":"number","example":15000},"tenure":{"type":"number","example":200},"pending_tenure":{"type":"number","example":190}}},"GetAllPaymentsResponse":{"type":"object","properties":{"startup_id":{"type":"string","example":"145"},"startup_name":{"type":"string","example":"First Post"},"transaction_id":{"type":"string","example":"Y1231313"},"payment_amount":{"type":"number","example":15000},"transaction_date":{"type":"string","example":""}}},"LoanApprovalRequest":{"type":"object","properties":{"startup_id":{"type":"string","example":"145"},"startup_name":{"type":"string","example":"First Post"},"requested_loan_amount":{"type":"number","example":3000000},"processed_loan_amount":{"type":"number","example":2000000},"loan_tenure":{"type":"number","example":36},"monthly_installment_amount":{"type":"number","example":20000},"terms_agreed":{"type":"number","example":3}}}}},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/srujan006/8vdx_admin_portal_apis/1.0.0"},{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/srujan006/8vdx_aips/1.0.0"}]}